package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.QpAirBottleConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 气瓶配置Mapper接口
 * 
 * @author zd
 * @date 2022-05-17
 */
public interface QpAirBottleConfigMapper 
{
    /**
     * 查询气瓶配置
     * 
     * @param id 气瓶配置主键
     * @return 气瓶配置
     */
    QpAirBottleConfig selectQpAirBottleConfigById(Long id);

    /**
     * 查询气瓶配置列表
     * 
     * @param qpAirBottleConfig 气瓶配置
     * @return 气瓶配置集合
     */
    List<QpAirBottleConfig> selectQpAirBottleConfigList(QpAirBottleConfig qpAirBottleConfig);

    /**
     * 新增气瓶配置
     * 
     * @param qpAirBottleConfig 气瓶配置
     * @return 结果
     */
    int insertQpAirBottleConfig(QpAirBottleConfig qpAirBottleConfig);

    /**
     * 修改气瓶配置
     * 
     * @param qpAirBottleConfig 气瓶配置
     * @return 结果
     */
    int updateQpAirBottleConfig(QpAirBottleConfig qpAirBottleConfig);

    /**
     * 删除气瓶配置
     * 
     * @param id 气瓶配置主键
     * @return 结果
     */
    int deleteQpAirBottleConfigById(Long id);

    /**
     * 批量删除气瓶配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQpAirBottleConfigByIds(Long[] ids);

    /**
     * 根据气瓶ID集合批量查询气瓶配置
     * @param bottleIds 气瓶ID集合
     * @return 气瓶配置集合
     */
    List<QpAirBottleConfig> getByBottleIds(List<Long> bottleIds);

    /**
     * 根据气瓶ID查询气瓶配置
     * @param bottleId 气瓶ID
     * @return 气瓶配置集合
     */
    List<QpAirBottleConfig> getByBottleId(@Param("bottleId") Long bottleId);

    /**
     * 根据ID集合查询气瓶配置
     * @param ids 气瓶ID
     * @return 气瓶配置集合
     */
    List<QpAirBottleConfig> getByIds(List<Long> ids);
}
